
set( larreco_VERSION 08.23.02 )
set( larreco_UPS_VERSION v08_23_02 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################



## find_library directives
find_ups_product( larcoreobj  )
find_ups_product( canvas  )
find_ups_product( cppunit  )
find_ups_product( clhep  )
find_ups_product( cetlib_except  )
find_ups_product( cetlib v2_01_00 )
find_ups_boost( v1_50_0 )
find_ups_product( sqlite  )
find_ups_product( hep_concurrency  )
find_ups_product( tbb  )
  cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
  cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
find_ups_product( fhiclcpp  )
find_ups_product( python  )
find_ups_product( messagefacility  )
find_ups_product( range  )
  cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
find_ups_root(  )
find_ups_product( larcorealg  )
find_ups_product( larcore  )
find_ups_product( art  )
find_ups_product( art_root_io  )
find_ups_product( canvas_root_io  )
find_ups_product( lardataobj  )
find_ups_product( nusimdata  )
find_ups_product( dk2nudata v01_05_01 )
find_ups_product( lardataalg  )
find_ups_product( lardata  )
find_ups_product( postgresql  )
find_ups_product( fftw  )
  cet_find_library( NUSIMDATA_SIMULATIONBASE NAMES nusimdata_SimulationBase PATHS ENV NUSIMDATA_LIB NO_DEFAULT_PATH )
  cet_find_library( PQ NAMES pq PATHS ENV POSTGRESQL_LIBRARIES NO_DEFAULT_PATH )
find_ups_product( larevt  )
find_ups_product( libwda  )
find_ups_product( larsim  )
find_ups_product( marley  )
find_ups_product( nutools  )
  cet_find_library( CRY NAMES CRY PATHS ENV CRY_LIB NO_DEFAULT_PATH )
find_ups_product( nug4  )
find_ups_product( geant4  )
find_ups_product( xerces_c v3_0_0 )
  cet_find_library( G4FR NAMES G4FR PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4GMOCREN NAMES G4GMocren PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4OPENGL NAMES G4OpenGL PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4RAYTRACER NAMES G4RayTracer PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4TREE NAMES G4Tree PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4VRML NAMES G4VRML PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4ANALYSIS NAMES G4analysis PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4DIGITS_HITS NAMES G4digits_hits PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4ERROR_PROPAGATION NAMES G4error_propagation PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4EVENT NAMES G4event PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4GEOMETRY NAMES G4geometry PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4GL2PS NAMES G4gl2ps PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4GLOBAL NAMES G4global PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4GRAPHICS_REPS NAMES G4graphics_reps PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4INTERCOMS NAMES G4intercoms PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4INTERFACES NAMES G4interfaces PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4MATERIALS NAMES G4materials PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4MODELING NAMES G4modeling PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4PARMODELS NAMES G4parmodels PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4PARTICLES NAMES G4particles PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4PERSISTENCY NAMES G4persistency PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4PHYSICSLISTS NAMES G4physicslists PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4PROCESSES NAMES G4processes PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4READOUT NAMES G4readout PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4RUN NAMES G4run PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4TRACK NAMES G4track PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4TRACKING NAMES G4tracking PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4VISHEPREP NAMES G4visHepRep PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4VISXXX NAMES G4visXXX PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4VIS_MANAGEMENT NAMES G4vis_management PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4ZLIB NAMES G4zlib PATHS ENV G4LIB NO_DEFAULT_PATH )
find_ups_product( nugen  )
find_ups_product( genie  )
find_ups_product( dk2nugenie  )
  cet_find_library( PYTHIA6 NAMES Pythia6 PATHS ENV PYLIB NO_DEFAULT_PATH )
  cet_find_library( LHAPDF NAMES LHAPDF PATHS ENV LHAPDF_LIB NO_DEFAULT_PATH )
  cet_find_library( LOG4CPP NAMES log4cpp PATHS ENV LOG4CPP_LIB NO_DEFAULT_PATH )
  cet_find_library( XML2 NAMES xml2 PATHS /Users/macdev/workspace/recover-nulite/BUILDTYPE/debug/QUAL/s93-c2/label1/swarm/label2/OSX-10.14/build/libxml2/v2_9_9/Darwin64bit+18-debug/lib NO_DEFAULT_PATH )
  cet_find_library( GFWMSG NAMES GFwMsg PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWREG NAMES GFwReg PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWALG NAMES GFwAlg PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWINT NAMES GFwInt PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWGHEP NAMES GFwGHEP PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWNUM NAMES GFwNum PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWUTL NAMES GFwUtl PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWPARDAT NAMES GFwParDat PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWEG NAMES GFwEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWNTP NAMES GFwNtp PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHXSIG NAMES GPhXSIg PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHPDF NAMES GPhPDF PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHNUCLST NAMES GPhNuclSt PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHCMN NAMES GPhCmn PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHDCY NAMES GPhDcy PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHHADTRANSP NAMES GPhHadTransp PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHHADNZ NAMES GPhHadnz PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHDEEX NAMES GPhDeEx PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHAMNGXS NAMES GPhAMNGXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHAMNGEG NAMES GPhAMNGEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHCHMXS NAMES GPhChmXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHCOHXS NAMES GPhCohXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHCOHEG NAMES GPhCohEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHDISXS NAMES GPhDISXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHDISEG NAMES GPhDISEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHDFRCXS NAMES GPhDfrcXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHDFRCEG NAMES GPhDfrcEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHGLWRESXS NAMES GPhGlwResXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHGLWRESEG NAMES GPhGlwResEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHIBDXS NAMES GPhIBDXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHIBDEG NAMES GPhIBDEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHMNUCXS NAMES GPhMNucXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHMNUCEG NAMES GPhMNucEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHMEL NAMES GPhMEL PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHNUELXS NAMES GPhNuElXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHNUELEG NAMES GPhNuElEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHQELXS NAMES GPhQELXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHQELEG NAMES GPhQELEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHRESXS NAMES GPhResXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHRESEG NAMES GPhResEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHSTRXS NAMES GPhStrXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHSTREG NAMES GPhStrEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHNDCY NAMES GPhNDcy PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GTLGEO NAMES GTlGeo PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GTLFLX NAMES GTlFlx PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GRWFWK NAMES GRwFwk PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GRWIO NAMES GRwIO PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GRWCLC NAMES GRwClc PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GSL NAMES gsl PATHS ENV GSL_LIB NO_DEFAULT_PATH )
  cet_find_library( DK2NU_TREE NAMES dk2nuTree PATHS ENV DK2NUDATA_LIB NO_DEFAULT_PATH )
  cet_find_library( DK2NU_GENIE NAMES dk2nuGenie PATHS ENV DK2NUGENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( IFDH NAMES ifdh PATHS ENV IFDHC_LIB NO_DEFAULT_PATH )
  cet_find_library( IFDH_SERVICE NAMES IFDH_service PATHS ENV IFDH_ART_LIB NO_DEFAULT_PATH )
find_ups_product( nurandom  )
find_ups_product( ifdhc  )
find_ups_product( log4cpp  )
  cet_find_library( BOOST_SERIALIZATION NAMES boost_serialization PATHS ENV BOOST_LIB NO_DEFAULT_PATH )
  cet_find_library( BOOST_DATE_TIME NAMES boost_date_time PATHS ENV BOOST_LIB NO_DEFAULT_PATH )
  cet_find_library( MARLEY NAMES MARLEY PATHS ENV MARLEY_LIB NO_DEFAULT_PATH )
  cet_find_library( MARLEY_ROOT NAMES MARLEY_ROOT PATHS ENV MARLEY_LIB NO_DEFAULT_PATH )
find_ups_product( eigen  )
set(LARRECO_CALORIMETRY "$ENV{LARRECO_LIB}/liblarreco_Calorimetry.dylib")
set(LARRECO_CALORIMETRY_CALORIMETRY_MODULE "$ENV{LARRECO_LIB}/liblarreco_Calorimetry_Calorimetry_module.dylib")
set(LARRECO_CALORIMETRY_GENERALCALORIMETRY_MODULE "$ENV{LARRECO_LIB}/liblarreco_Calorimetry_GeneralCalorimetry_module.dylib")
set(LARRECO_CALORIMETRY_PRINTCALORIMETRY_MODULE "$ENV{LARRECO_LIB}/liblarreco_Calorimetry_PrintCalorimetry_module.dylib")
set(LARRECO_CALORIMETRY_SHOWERCALORIMETRY_MODULE "$ENV{LARRECO_LIB}/liblarreco_Calorimetry_ShowerCalorimetry_module.dylib")
set(LARRECO_CALORIMETRY_TRACKCALORIMETRY_MODULE "$ENV{LARRECO_LIB}/liblarreco_Calorimetry_TrackCalorimetry_module.dylib")
set(LARRECO_CALIBRATOR_PHOTONCALIBRATORSERVICESTANDARD_SERVICE "$ENV{LARRECO_LIB}/liblarreco_Calibrator_PhotonCalibratorServiceStandard_service.dylib")
set(LARRECO_CLUSTERFINDER "$ENV{LARRECO_LIB}/liblarreco_ClusterFinder.dylib")
set(LARRECO_CLUSTERFINDER_BLURREDCLUSTERING_MODULE "$ENV{LARRECO_LIB}/liblarreco_ClusterFinder_BlurredClustering_module.dylib")
set(LARRECO_CLUSTERFINDER_CLUSTER3D_MODULE "$ENV{LARRECO_LIB}/liblarreco_ClusterFinder_Cluster3D_module.dylib")
set(LARRECO_CLUSTERFINDER_CLUSTERANA_MODULE "$ENV{LARRECO_LIB}/liblarreco_ClusterFinder_ClusterAna_module.dylib")
set(LARRECO_CLUSTERFINDER_CLUSTERCHEATER_MODULE "$ENV{LARRECO_LIB}/liblarreco_ClusterFinder_ClusterCheater_module.dylib")
set(LARRECO_CLUSTERFINDER_CLUSTERCRAWLER_MODULE "$ENV{LARRECO_LIB}/liblarreco_ClusterFinder_ClusterCrawler_module.dylib")
set(LARRECO_CLUSTERFINDER_CLUSTERPCA_MODULE "$ENV{LARRECO_LIB}/liblarreco_ClusterFinder_ClusterPCA_module.dylib")
set(LARRECO_CLUSTERFINDER_CLUSTERINGVALIDATION_MODULE "$ENV{LARRECO_LIB}/liblarreco_ClusterFinder_ClusteringValidation_module.dylib")
set(LARRECO_CLUSTERFINDER_DBCLUSTER3D_MODULE "$ENV{LARRECO_LIB}/liblarreco_ClusterFinder_DBCluster3D_module.dylib")
set(LARRECO_CLUSTERFINDER_DBCLUSTERANA_MODULE "$ENV{LARRECO_LIB}/liblarreco_ClusterFinder_DBclusterAna_module.dylib")
set(LARRECO_CLUSTERFINDER_DBCLUSTER_MODULE "$ENV{LARRECO_LIB}/liblarreco_ClusterFinder_DBcluster_module.dylib")
set(LARRECO_CLUSTERFINDER_ENDPOINTMODULE_MODULE "$ENV{LARRECO_LIB}/liblarreco_ClusterFinder_EndPointModule_module.dylib")
set(LARRECO_CLUSTERFINDER_HOUGHLINEFINDERANA_MODULE "$ENV{LARRECO_LIB}/liblarreco_ClusterFinder_HoughLineFinderAna_module.dylib")
set(LARRECO_CLUSTERFINDER_HOUGHLINEFINDER_MODULE "$ENV{LARRECO_LIB}/liblarreco_ClusterFinder_HoughLineFinder_module.dylib")
set(LARRECO_CLUSTERFINDER_LINECLUSTER_MODULE "$ENV{LARRECO_LIB}/liblarreco_ClusterFinder_LineCluster_module.dylib")
set(LARRECO_CLUSTERFINDER_LINEMERGER_MODULE "$ENV{LARRECO_LIB}/liblarreco_ClusterFinder_LineMerger_module.dylib")
set(LARRECO_CLUSTERFINDER_SMALLCLUSTERFINDER_MODULE "$ENV{LARRECO_LIB}/liblarreco_ClusterFinder_SmallClusterFinder_module.dylib")
set(LARRECO_CLUSTERFINDER_TRAJCLUSTER_MODULE "$ENV{LARRECO_LIB}/liblarreco_ClusterFinder_TrajCluster_module.dylib")
set(LARRECO_CLUSTERFINDER_TRACKSHOWERSPLITTER_SEGMENTATION2D "$ENV{LARRECO_LIB}/liblarreco_ClusterFinder_TrackShowerSplitter_Segmentation2D.dylib")
set(LARRECO_CLUSTERFINDER_TRACKSHOWERSPLITTER_TRACKSHOWERHITS_MODULE "$ENV{LARRECO_LIB}/liblarreco_ClusterFinder_TrackShowerSplitter_TrackShowerHits_module.dylib")
set(LARRECO_EVENTFINDER_EVENTCHEATER_MODULE "$ENV{LARRECO_LIB}/liblarreco_EventFinder_EventCheater_module.dylib")
set(LARRECO_GENFIT "$ENV{LARRECO_LIB}/liblarreco_Genfit.dylib")
set(LARRECO_HITFINDER_HITFINDERTOOLS_CANDHITDERIVATIVE_TOOL "$ENV{LARRECO_LIB}/liblarreco_HitFinder_HitFinderTools_CandHitDerivative_tool.dylib")
set(LARRECO_HITFINDER_HITFINDERTOOLS_CANDHITMORPHOLOGICAL_TOOL "$ENV{LARRECO_LIB}/liblarreco_HitFinder_HitFinderTools_CandHitMorphological_tool.dylib")
set(LARRECO_HITFINDER_HITFINDERTOOLS_CANDHITSTANDARD_TOOL "$ENV{LARRECO_LIB}/liblarreco_HitFinder_HitFinderTools_CandHitStandard_tool.dylib")
set(LARRECO_HITFINDER_HITFINDERTOOLS_PEAKFITTERGAUSSELIMINATION_TOOL "$ENV{LARRECO_LIB}/liblarreco_HitFinder_HitFinderTools_PeakFitterGaussElimination_tool.dylib")
set(LARRECO_HITFINDER_HITFINDERTOOLS_PEAKFITTERGAUSSIAN_TOOL "$ENV{LARRECO_LIB}/liblarreco_HitFinder_HitFinderTools_PeakFitterGaussian_tool.dylib")
set(LARRECO_HITFINDER_HITFINDERTOOLS_PEAKFITTERMRQDT_TOOL "$ENV{LARRECO_LIB}/liblarreco_HitFinder_HitFinderTools_PeakFitterMrqdt_tool.dylib")
set(LARRECO_HITFINDER_HITFINDERTOOLS_WAVEFORMTOOLS_TOOL "$ENV{LARRECO_LIB}/liblarreco_HitFinder_HitFinderTools_WaveformTools_tool.dylib")
set(LARRECO_HITFINDER "$ENV{LARRECO_LIB}/liblarreco_HitFinder.dylib")
set(LARRECO_HITFINDER_APAHITFINDER_MODULE "$ENV{LARRECO_LIB}/liblarreco_HitFinder_APAHitFinder_module.dylib")
set(LARRECO_HITFINDER_DPRAWHITFINDER_MODULE "$ENV{LARRECO_LIB}/liblarreco_HitFinder_DPRawHitFinder_module.dylib")
set(LARRECO_HITFINDER_DISAMBIGCHEATER_MODULE "$ENV{LARRECO_LIB}/liblarreco_HitFinder_DisambigCheater_module.dylib")
set(LARRECO_HITFINDER_FFTHITFINDER_MODULE "$ENV{LARRECO_LIB}/liblarreco_HitFinder_FFTHitFinder_module.dylib")
set(LARRECO_HITFINDER_GAUSHITFINDERANA_MODULE "$ENV{LARRECO_LIB}/liblarreco_HitFinder_GausHitFinderAna_module.dylib")
set(LARRECO_HITFINDER_GAUSHITFINDER_MODULE "$ENV{LARRECO_LIB}/liblarreco_HitFinder_GausHitFinder_module.dylib")
set(LARRECO_HITFINDER_HITANAMODULE_MODULE "$ENV{LARRECO_LIB}/liblarreco_HitFinder_HitAnaModule_module.dylib")
set(LARRECO_HITFINDER_HITCHEATER_MODULE "$ENV{LARRECO_LIB}/liblarreco_HitFinder_HitCheater_module.dylib")
set(LARRECO_HITFINDER_HITFINDERANA_MODULE "$ENV{LARRECO_LIB}/liblarreco_HitFinder_HitFinderAna_module.dylib")
set(LARRECO_HITFINDER_HITFINDER_MODULE "$ENV{LARRECO_LIB}/liblarreco_HitFinder_HitFinder_module.dylib")
set(LARRECO_HITFINDER_MCHITANAEXAMPLE_MODULE "$ENV{LARRECO_LIB}/liblarreco_HitFinder_MCHitAnaExample_module.dylib")
set(LARRECO_HITFINDER_MCHITFINDER_MODULE "$ENV{LARRECO_LIB}/liblarreco_HitFinder_MCHitFinder_module.dylib")
set(LARRECO_HITFINDER_RFFHITFINDER_MODULE "$ENV{LARRECO_LIB}/liblarreco_HitFinder_RFFHitFinder_module.dylib")
set(LARRECO_HITFINDER_RAWHITFINDER_MODULE "$ENV{LARRECO_LIB}/liblarreco_HitFinder_RawHitFinder_module.dylib")
set(LARRECO_HITFINDER_TTHITFINDER_MODULE "$ENV{LARRECO_LIB}/liblarreco_HitFinder_TTHitFinder_module.dylib")
set(LARRECO_RECOALG "$ENV{LARRECO_LIB}/liblarreco_RecoAlg.dylib")
set(LARRECO_RECOALG_CMTOOL_CMTOOLBASE "$ENV{LARRECO_LIB}/liblarreco_RecoAlg_CMTool_CMToolBase.dylib")
set(LARRECO_RECOALG_CMTOOL_CMTALGPRIORITY "$ENV{LARRECO_LIB}/liblarreco_RecoAlg_CMTool_CMTAlgPriority.dylib")
set(LARRECO_RECOALG_CMTOOL_CMTALGMERGE "$ENV{LARRECO_LIB}/liblarreco_RecoAlg_CMTool_CMTAlgMerge.dylib")
set(LARRECO_RECOALG_CMTOOL_CMTALGMATCH "$ENV{LARRECO_LIB}/liblarreco_RecoAlg_CMTool_CMTAlgMatch.dylib")
set(LARRECO_RECOALG_CMTOOL_CMTOOLAPP "$ENV{LARRECO_LIB}/liblarreco_RecoAlg_CMTool_CMToolApp.dylib")
set(LARRECO_RECOALG_CLUSTERRECOUTIL "$ENV{LARRECO_LIB}/liblarreco_RecoAlg_ClusterRecoUtil.dylib")
set(LARRECO_RECOALG_CLUSTER3DALGS_CONVEXHULL "$ENV{LARRECO_LIB}/liblarreco_RecoAlg_Cluster3DAlgs_ConvexHull.dylib")
set(LARRECO_RECOALG_CLUSTER3DALGS_VORONOI "$ENV{LARRECO_LIB}/liblarreco_RecoAlg_Cluster3DAlgs_Voronoi.dylib")
set(LARRECO_RECOALG_CLUSTER3DALGS_PATHFINDING_CLUSTERPATHFINDER_TOOL "$ENV{LARRECO_LIB}/liblarreco_RecoAlg_Cluster3DAlgs_PathFinding_ClusterPathFinder_tool.dylib")
set(LARRECO_RECOALG_CLUSTER3DALGS_PATHFINDING_CONVEXHULLPATHFINDER_TOOL "$ENV{LARRECO_LIB}/liblarreco_RecoAlg_Cluster3DAlgs_PathFinding_ConvexHullPathFinder_tool.dylib")
set(LARRECO_RECOALG_CLUSTER3DALGS_PATHFINDING_MSTPATHFINDER_TOOL "$ENV{LARRECO_LIB}/liblarreco_RecoAlg_Cluster3DAlgs_PathFinding_MSTPathFinder_tool.dylib")
set(LARRECO_RECOALG_CLUSTER3DALGS_PATHFINDING_VORONOIPATHFINDER_TOOL "$ENV{LARRECO_LIB}/liblarreco_RecoAlg_Cluster3DAlgs_PathFinding_VoronoiPathFinder_tool.dylib")
set(LARRECO_RECOALG_CLUSTER3DALGS "$ENV{LARRECO_LIB}/liblarreco_RecoAlg_Cluster3DAlgs.dylib")
set(LARRECO_RECOALG_CLUSTER3DALGS_CLUSTERMERGEALG_TOOL "$ENV{LARRECO_LIB}/liblarreco_RecoAlg_Cluster3DAlgs_ClusterMergeAlg_tool.dylib")
set(LARRECO_RECOALG_CLUSTER3DALGS_CLUSTERPARAMSBUILDER_TOOL "$ENV{LARRECO_LIB}/liblarreco_RecoAlg_Cluster3DAlgs_ClusterParamsBuilder_tool.dylib")
set(LARRECO_RECOALG_CLUSTER3DALGS_DBSCANALG_TOOL "$ENV{LARRECO_LIB}/liblarreco_RecoAlg_Cluster3DAlgs_DBScanAlg_tool.dylib")
set(LARRECO_RECOALG_CLUSTER3DALGS_MINSPANTREEALG_TOOL "$ENV{LARRECO_LIB}/liblarreco_RecoAlg_Cluster3DAlgs_MinSpanTreeAlg_tool.dylib")
set(LARRECO_RECOALG_CLUSTER3DALGS_SPACEPOINTHIT3DBUILDER_TOOL "$ENV{LARRECO_LIB}/liblarreco_RecoAlg_Cluster3DAlgs_SpacePointHit3DBuilder_tool.dylib")
set(LARRECO_RECOALG_CLUSTER3DALGS_STANDARDHIT3DBUILDER_TOOL "$ENV{LARRECO_LIB}/liblarreco_RecoAlg_Cluster3DAlgs_StandardHit3DBuilder_tool.dylib")
set(LARRECO_RECOALG_IMAGEPATTERNALGS_DATAPROVIDER "$ENV{LARRECO_LIB}/liblarreco_RecoAlg_ImagePatternAlgs_DataProvider.dylib")
set(LARRECO_RECOALG_IMAGEPATTERNALGS_KERAS "$ENV{LARRECO_LIB}/liblarreco_RecoAlg_ImagePatternAlgs_Keras.dylib")
set(LARRECO_RECOALG_PMALG "$ENV{LARRECO_LIB}/liblarreco_RecoAlg_PMAlg.dylib")
set(LARRECO_RECOALG_TCALG "$ENV{LARRECO_LIB}/liblarreco_RecoAlg_TCAlg.dylib")
set(LARRECO_SHOWERFINDER_SHOWERRECO3D "$ENV{LARRECO_LIB}/liblarreco_ShowerFinder_ShowerReco3D.dylib")
set(LARRECO_SHOWERFINDER_SHOWERRECO3D_SHOWERQUALITY_MODULE "$ENV{LARRECO_LIB}/liblarreco_ShowerFinder_ShowerReco3D_ShowerQuality_module.dylib")
set(LARRECO_SHOWERFINDER_SHOWERRECO3D_SHOWERRECO3D_MODULE "$ENV{LARRECO_LIB}/liblarreco_ShowerFinder_ShowerReco3D_ShowerReco3D_module.dylib")
set(LARRECO_SHOWERFINDER_SHOWERTOOLS_CHEATING_SHOWERDIRECTIONCHEATER_TOOL "$ENV{LARRECO_LIB}/liblarreco_ShowerFinder_ShowerTools_Cheating_ShowerDirectionCheater_tool.dylib")
set(LARRECO_SHOWERFINDER_SHOWERTOOLS_CHEATING_SHOWERSTARTPOSITIONCHEATER_TOOL "$ENV{LARRECO_LIB}/liblarreco_ShowerFinder_ShowerTools_Cheating_ShowerStartPositionCheater_tool.dylib")
set(LARRECO_SHOWERFINDER_SHOWERTOOLS_CHEATING_SHOWERTRACKFINDERCHEATER_TOOL "$ENV{LARRECO_LIB}/liblarreco_ShowerFinder_ShowerTools_Cheating_ShowerTrackFinderCheater_tool.dylib")
set(LARRECO_SHOWERFINDER_SHOWERTOOLS_SHOWER2DLINEARREGRESSIONTRACKHITFINDER_TOOL "$ENV{LARRECO_LIB}/liblarreco_ShowerFinder_ShowerTools_Shower2DLinearRegressionTrackHitFinder_tool.dylib")
set(LARRECO_SHOWERFINDER_SHOWERTOOLS_SHOWER3DTRACKHITFINDER_TOOL "$ENV{LARRECO_LIB}/liblarreco_ShowerFinder_ShowerTools_Shower3DTrackHitFinder_tool.dylib")
set(LARRECO_SHOWERFINDER_SHOWERTOOLS_SHOWEREXAMPLETOOL_TOOL "$ENV{LARRECO_LIB}/liblarreco_ShowerFinder_ShowerTools_ShowerExampleTool_tool.dylib")
set(LARRECO_SHOWERFINDER_SHOWERTOOLS_SHOWERGENERICTOOL_TOOL "$ENV{LARRECO_LIB}/liblarreco_ShowerFinder_ShowerTools_ShowerGenericTool_tool.dylib")
set(LARRECO_SHOWERFINDER_SHOWERTOOLS_SHOWERLINEARENERGY_TOOL "$ENV{LARRECO_LIB}/liblarreco_ShowerFinder_ShowerTools_ShowerLinearEnergy_tool.dylib")
set(LARRECO_SHOWERFINDER_SHOWERTOOLS_SHOWERPCADIRECTION_TOOL "$ENV{LARRECO_LIB}/liblarreco_ShowerFinder_ShowerTools_ShowerPCADirection_tool.dylib")
set(LARRECO_SHOWERFINDER_SHOWERTOOLS_SHOWERPMATRACKFINDER_TOOL "$ENV{LARRECO_LIB}/liblarreco_ShowerFinder_ShowerTools_ShowerPMATrackFinder_tool.dylib")
set(LARRECO_SHOWERFINDER_SHOWERTOOLS_SHOWERSLIDINGSTANDARDCALODEDX_TOOL "$ENV{LARRECO_LIB}/liblarreco_ShowerFinder_ShowerTools_ShowerSlidingStandardCalodEdx_tool.dylib")
set(LARRECO_SHOWERFINDER_SHOWERTOOLS_SHOWERSMARTTRACKTRAJECTORYPOINTDIRECTION_TOOL "$ENV{LARRECO_LIB}/liblarreco_ShowerFinder_ShowerTools_ShowerSmartTrackTrajectoryPointDirection_tool.dylib")
set(LARRECO_SHOWERFINDER_SHOWERTOOLS_SHOWERSTANDARDCALODEDX_TOOL "$ENV{LARRECO_LIB}/liblarreco_ShowerFinder_ShowerTools_ShowerStandardCalodEdx_tool.dylib")
set(LARRECO_SHOWERFINDER_SHOWERTOOLS_SHOWERSTARTPOSITION_TOOL "$ENV{LARRECO_LIB}/liblarreco_ShowerFinder_ShowerTools_ShowerStartPosition_tool.dylib")
set(LARRECO_SHOWERFINDER_SHOWERTOOLS_SHOWERTRACKTRAJECTORYPOINTDIRECTION_TOOL "$ENV{LARRECO_LIB}/liblarreco_ShowerFinder_ShowerTools_ShowerTrackTrajectoryPointDirection_tool.dylib")
set(LARRECO_SHOWERFINDER_EMSHOWER_MODULE "$ENV{LARRECO_LIB}/liblarreco_ShowerFinder_EMShower_module.dylib")
set(LARRECO_SHOWERFINDER_NEUTRINOSHOWEREFF_MODULE "$ENV{LARRECO_LIB}/liblarreco_ShowerFinder_NeutrinoShowerEff_module.dylib")
set(LARRECO_SHOWERFINDER_NUSHOWEREFF_MODULE "$ENV{LARRECO_LIB}/liblarreco_ShowerFinder_NuShowerEff_module.dylib")
set(LARRECO_SHOWERFINDER_SHOWERCHEATER_MODULE "$ENV{LARRECO_LIB}/liblarreco_ShowerFinder_ShowerCheater_module.dylib")
set(LARRECO_SHOWERFINDER_SHOWERFINDER_MODULE "$ENV{LARRECO_LIB}/liblarreco_ShowerFinder_ShowerFinder_module.dylib")
set(LARRECO_SHOWERFINDER_SHOWERRECO_MODULE "$ENV{LARRECO_LIB}/liblarreco_ShowerFinder_ShowerReco_module.dylib")
set(LARRECO_SHOWERFINDER_TCSHOWERANALYSIS_MODULE "$ENV{LARRECO_LIB}/liblarreco_ShowerFinder_TCShowerAnalysis_module.dylib")
set(LARRECO_SHOWERFINDER_TCSHOWERELECTRONLIKELIHOOD_MODULE "$ENV{LARRECO_LIB}/liblarreco_ShowerFinder_TCShowerElectronLikelihood_module.dylib")
set(LARRECO_SHOWERFINDER_TCSHOWERTEMPLATEMAKER_MODULE "$ENV{LARRECO_LIB}/liblarreco_ShowerFinder_TCShowerTemplateMaker_module.dylib")
set(LARRECO_SHOWERFINDER_TCSHOWER_MODULE "$ENV{LARRECO_LIB}/liblarreco_ShowerFinder_TCShower_module.dylib")
set(LARRECO_SHOWERFINDER_TRACS_MODULE "$ENV{LARRECO_LIB}/liblarreco_ShowerFinder_TRACS_module.dylib")
set(LARRECO_TRACKFINDER_CCTRACKMAKER_MODULE "$ENV{LARRECO_LIB}/liblarreco_TrackFinder_CCTrackMaker_module.dylib")
set(LARRECO_TRACKFINDER_COSMICTRACKER_MODULE "$ENV{LARRECO_LIB}/liblarreco_TrackFinder_CosmicTracker_module.dylib")
set(LARRECO_TRACKFINDER_FEATURETRACKER_MODULE "$ENV{LARRECO_LIB}/liblarreco_TrackFinder_FeatureTracker_module.dylib")
set(LARRECO_TRACKFINDER_KALMANFILTERFINALTRACKFITTER_MODULE "$ENV{LARRECO_LIB}/liblarreco_TrackFinder_KalmanFilterFinalTrackFitter_module.dylib")
set(LARRECO_TRACKFINDER_KALMANFILTERTRAJECTORYFITTER_MODULE "$ENV{LARRECO_LIB}/liblarreco_TrackFinder_KalmanFilterTrajectoryFitter_module.dylib")
set(LARRECO_TRACKFINDER_MCSFITPRODUCER_MODULE "$ENV{LARRECO_LIB}/liblarreco_TrackFinder_MCSFitProducer_module.dylib")
set(LARRECO_TRACKFINDER_MAGDRIFTANA_MODULE "$ENV{LARRECO_LIB}/liblarreco_TrackFinder_MagDriftAna_module.dylib")
set(LARRECO_TRACKFINDER_MUONTRACKINGEFF_MODULE "$ENV{LARRECO_LIB}/liblarreco_TrackFinder_MuonTrackingEff_module.dylib")
set(LARRECO_TRACKFINDER_NEUTRINOTRACKINGEFF_MODULE "$ENV{LARRECO_LIB}/liblarreco_TrackFinder_NeutrinoTrackingEff_module.dylib")
set(LARRECO_TRACKFINDER_PFPANA_MODULE "$ENV{LARRECO_LIB}/liblarreco_TrackFinder_PFPAna_module.dylib")
set(LARRECO_TRACKFINDER_PMALGTRACKMAKER_MODULE "$ENV{LARRECO_LIB}/liblarreco_TrackFinder_PMAlgTrackMaker_module.dylib")
set(LARRECO_TRACKFINDER_PMALGTRAJFITTER_MODULE "$ENV{LARRECO_LIB}/liblarreco_TrackFinder_PMAlgTrajFitter_module.dylib")
set(LARRECO_TRACKFINDER_SEEDANA_MODULE "$ENV{LARRECO_LIB}/liblarreco_TrackFinder_SeedAna_module.dylib")
set(LARRECO_TRACKFINDER_SEEDFINDERMODULE_MODULE "$ENV{LARRECO_LIB}/liblarreco_TrackFinder_SeedFinderModule_module.dylib")
set(LARRECO_TRACKFINDER_SPACEPOINTANA_MODULE "$ENV{LARRECO_LIB}/liblarreco_TrackFinder_SpacePointAna_module.dylib")
set(LARRECO_TRACKFINDER_SPACEPOINTCHEATER_MODULE "$ENV{LARRECO_LIB}/liblarreco_TrackFinder_SpacePointCheater_module.dylib")
set(LARRECO_TRACKFINDER_SPACEPOINTFINDER_MODULE "$ENV{LARRECO_LIB}/liblarreco_TrackFinder_SpacePointFinder_module.dylib")
set(LARRECO_TRACKFINDER_SPACEPTS_MODULE "$ENV{LARRECO_LIB}/liblarreco_TrackFinder_SpacePts_module.dylib")
set(LARRECO_TRACKFINDER_TCTRACK_MODULE "$ENV{LARRECO_LIB}/liblarreco_TrackFinder_TCTrack_module.dylib")
set(LARRECO_TRACKFINDER_TRACK3DKALMANHIT_MODULE "$ENV{LARRECO_LIB}/liblarreco_TrackFinder_Track3DKalmanHit_module.dylib")
set(LARRECO_TRACKFINDER_TRACK3DRECO_MODULE "$ENV{LARRECO_LIB}/liblarreco_TrackFinder_Track3Dreco_module.dylib")
set(LARRECO_TRACKFINDER_TRACKANA_MODULE "$ENV{LARRECO_LIB}/liblarreco_TrackFinder_TrackAna_module.dylib")
set(LARRECO_TRACKFINDER_TRACKCHEATER_MODULE "$ENV{LARRECO_LIB}/liblarreco_TrackFinder_TrackCheater_module.dylib")
set(LARRECO_TRACKFINDER_TRACKKALMANCHEATER_MODULE "$ENV{LARRECO_LIB}/liblarreco_TrackFinder_TrackKalmanCheater_module.dylib")
set(LARRECO_TRACKFINDER_TRACKPRODUCERFROMPFPARTICLE_MODULE "$ENV{LARRECO_LIB}/liblarreco_TrackFinder_TrackProducerFromPFParticle_module.dylib")
set(LARRECO_TRACKFINDER_TRACKPRODUCERFROMTRACKTRAJECTORY_MODULE "$ENV{LARRECO_LIB}/liblarreco_TrackFinder_TrackProducerFromTrackTrajectory_module.dylib")
set(LARRECO_TRACKFINDER_TRACKPRODUCERFROMTRACK_MODULE "$ENV{LARRECO_LIB}/liblarreco_TrackFinder_TrackProducerFromTrack_module.dylib")
set(LARRECO_TRACKFINDER_TRACKSTITCHER_MODULE "$ENV{LARRECO_LIB}/liblarreco_TrackFinder_TrackStitcher_module.dylib")
set(LARRECO_TRACKFINDER_TRACK3DKALMAN_MODULE "$ENV{LARRECO_LIB}/liblarreco_TrackFinder_Track3DKalman_module.dylib")
set(LARRECO_TRACKFINDER_TRACK3DKALMANSPS_MODULE "$ENV{LARRECO_LIB}/liblarreco_TrackFinder_Track3DKalmanSPS_module.dylib")
set(LARRECO_TRACKFINDER_KALMANFILTERFITTRACKMAKER_TOOL "$ENV{LARRECO_LIB}/liblarreco_TrackFinder_KalmanFilterFitTrackMaker_tool.dylib")
set(LARRECO_VERTEXFINDER_AGGREGATEVERTEXANA_MODULE "$ENV{LARRECO_LIB}/liblarreco_VertexFinder_AggregateVertexAna_module.dylib")
set(LARRECO_VERTEXFINDER_FEATUREVERTEXFINDERANA_MODULE "$ENV{LARRECO_LIB}/liblarreco_VertexFinder_FeatureVertexFinderAna_module.dylib")
set(LARRECO_VERTEXFINDER_PRIMARYVERTEXFINDER_MODULE "$ENV{LARRECO_LIB}/liblarreco_VertexFinder_PrimaryVertexFinder_module.dylib")
set(LARRECO_VERTEXFINDER_VERTEXCHEATER_MODULE "$ENV{LARRECO_LIB}/liblarreco_VertexFinder_VertexCheater_module.dylib")
set(LARRECO_VERTEXFINDER_VERTEXFINDER2D_MODULE "$ENV{LARRECO_LIB}/liblarreco_VertexFinder_VertexFinder2D_module.dylib")
set(LARRECO_VERTEXFINDER_VERTEXFITTER_MODULE "$ENV{LARRECO_LIB}/liblarreco_VertexFinder_VertexFitter_module.dylib")
set(LARRECO_VERTEXFINDER_FEATUREVERTEXFINDER_MODULE "$ENV{LARRECO_LIB}/liblarreco_VertexFinder_FeatureVertexFinder_module.dylib")
set(LARRECO_SPACEPOINTFINDER_TTSPACEPOINTFINDER_MODULE "$ENV{LARRECO_LIB}/liblarreco_SpacePointFinder_TTSpacePointFinder_module.dylib")
set(LARRECO_SPACEPOINTSOLVER_HITREADERS_HITSICARUS_TOOL "$ENV{LARRECO_LIB}/liblarreco_SpacePointSolver_HitReaders_HitsICARUS_tool.dylib")
set(LARRECO_SPACEPOINTSOLVER_HITREADERS_HITSSTANDARD_TOOL "$ENV{LARRECO_LIB}/liblarreco_SpacePointSolver_HitReaders_HitsStandard_tool.dylib")
set(LARRECO_SPACEPOINTSOLVER "$ENV{LARRECO_LIB}/liblarreco_SpacePointSolver.dylib")
set(PLOTSPACEPOINTS_MODULE "$ENV{LARRECO_LIB}/libPlotSpacePoints_module.dylib")
set(SPACEPOINTSOLVER_MODULE "$ENV{LARRECO_LIB}/libSpacePointSolver_module.dylib")
set(LARRECO_MCCOMP "$ENV{LARRECO_LIB}/liblarreco_MCComp.dylib")
set(LARRECO_MCCOMP_MCBTDEMO_MODULE "$ENV{LARRECO_LIB}/liblarreco_MCComp_MCBTDemo_module.dylib")
set(LARRECO_WIRECELL_CELLTREE_MODULE "$ENV{LARRECO_LIB}/liblarreco_WireCell_CellTree_module.dylib")
set(LARRECO_DIROFGAMMA "$ENV{LARRECO_LIB}/liblarreco_DirOfGamma.dylib")
set(LARRECO_DIROFGAMMA_EMSHOWER3D_MODULE "$ENV{LARRECO_LIB}/liblarreco_DirOfGamma_EMShower3D_module.dylib")
set(LARRECO_DIROFGAMMA_MULTIEMSHOWERS_MODULE "$ENV{LARRECO_LIB}/liblarreco_DirOfGamma_MultiEMShowers_module.dylib")
  include_directories ( "$ENV{LARRECO_INC}" )

check_required_components(larreco)

